.t						GOO
				20 Jan 01

.t1				SHORTHANDS

.n	Inline Initializations  (IIN)
.d	The new '$=' operator allows initializations without repeating
	the id.  Multiple comma separated items are allowed, but for this
	version, they all must be on a single line.
 
.e	integer x $= 3		=>	integer x x = 3
.e	integer x $= 3,y$=2		=>	integer x,y  x=3 y=2


.n	Define procedure or function	(DEF)
.d	The new keyword 'def' expands to 'function' or 'procedure'
	depending  on the presence of a return statement.  The
	corresponding 'end def' acts accordingly.

.e	def foo ()		=> function foo ()
	return 0
	end def			=> end function

.e	def foo ()		=> procedure foo ()
	return
	end def			=> end procedure


3)		:SSS:	sequence slicing shorthands
	The end of a sequence can be implied instead of explicit
	(length). Negative end values refer to distace back from end.

EX: foo[3..]		=>	foo[3..length(foo)]

EX: foo[3..-2]		=>	foo[3..length(foo)-2]


4)		:COM:	block comments
	The '--{' and '--}' operators introduce and terminate a
	block-style comment.  Each must start in column 1 and the block
	includes the entire	final line.  Blocks nest.

EX: --{				=> --{
	x = 3			=> --!x = 3
	--}				=> --}


5)		:PRP:	Pseudo-Reference Parameter
	In a function call a parameter can be prepended with '$' to indicate
	that is is returned as well as passed.  Only one parameter can be so
	marked (for now).

EX:	append ($buffer, line)		=> buffer=append (buffer, line)


6)		:TRN:	Trinary statement
	The C '?:' operator is added. The entire statement mus be on one
	line.

EX:	cond? foo=3				=>	if cond then foo=3 end if
EX:	cond? foo(): zot()		=>	if cond then foo() else zot()
EX:	cond? foo() x=1			=>  if cond then foo() x = 1


7)		:PID:	Post Increment/Decrement
	Postincrement and postdecrement are added

EX: x = y$+			=>	x = y y+=1



